=== stage2/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4a from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /usr
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${datadir}/info
mandir = ${datadir}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =
pkglibdir = $(libdir)/grub
pkgincludedir = $(includedir)/grub

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_FLAG =
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i386-linux
host_triplet = i386-pc-linux-gnu
AMTAR = tar
AMTARFLAGS = o
AWK = mawk
CC = gcc
FSYS_CFLAGS =  -DFSYS_EXT2FS=1 -DFSYS_FAT=1 -DFSYS_FFS=1 -DFSYS_MINIX=1
GRUB_CFLAGS = -O2
GRUB_LIBS =  -lncurses
MAINT = #
MAKEINFO = makeinfo
NET_CFLAGS = 
NET_EXTRAFLAGS =  -DNE_SCAN=0x280,0x300,0x320,0x340 -DWD_DEFAULT_MEM=0xCC000
OBJCOPY = objcopy
PACKAGE = grub
PERL = 
RANLIB = ranlib
STAGE1_CFLAGS = -O2
STAGE2_CFLAGS = -O2 -fno-strength-reduce -fno-unroll-loops
VERSION = 0.5.93.1
host_cpu = i386
host_vendor = pc
install_sh = /src/debian/grub/grub-0.5.93.1/install-sh

# For test target.


TESTS = size_test
noinst_SCRIPTS = $(TESTS)

# For dist target.
noinst_HEADERS = apic.h defs.h dir.h disk_inode.h disk_inode_ffs.h \
        fat.h filesys.h freebsd.h fs.h i386-elf.h imgact_aout.h \
        mb_header.h mb_info.h pc_slice.h shared.h smp-imps.h

EXTRA_DIST = $(noinst_SCRIPTS)

# For <stage1.h>.
INCLUDES = -I$(top_srcdir)/stage1

# The library for /sbin/grub.
noinst_LIBRARIES = libgrub.a
libgrub_a_SOURCES = boot.c builtins.c common.c char_io.c cmdline.c \
	disk_io.c gunzip.c fsys_ffs.c fsys_ext2fs.c fsys_fat.c \
	fsys_minix.c stage2.c

libgrub_a_CFLAGS = $(GRUB_CFLAGS) -DGRUB_UTIL=1 -DFSYS_EXT2FS=1 \
	-DFSYS_FAT=1 -DFSYS_FFS=1 -DFSYS_MINIX=1 -fwritable-strings


# Stage 2 and Stage 1.5's.
pkgdatadir = $(datadir)/$(PACKAGE)/$(host_cpu)-$(host_vendor)
nodist_pkgdata_DATA = stage2 e2fs_stage1_5 fat_stage1_5 ffs_stage1_5 \
	minix_stage1_5

CLEANFILES = $(nodist_pkgdata_DATA)
noinst_PROGRAMS = stage2.exec e2fs_stage1_5.exec fat_stage1_5.exec \
	ffs_stage1_5.exec minix_stage1_5.exec

MOSTLYCLEANFILES = $(noinst_PROGRAMS)

STAGE2_LINK = -nostdlib -Wl,-N -Wl,-Ttext -Wl,8000
STAGE2_COMPILE = $(STAGE2_CFLAGS) -fno-builtin -nostdinc

STAGE1_5_LINK = -nostdlib -Wl,-N -Wl,-Ttext -Wl,2000
STAGE1_5_COMPILE = $(STAGE2_COMPILE) -DNO_DECOMPRESSION=1 -DSTAGE1_5=1

# asm.S absolutely needs to come first!
# For stage2 target.
stage2_exec_SOURCES = asm.S bios.c boot.c builtins.c common.c \
	char_io.c cmdline.c disk_io.c gunzip.c fsys_ext2fs.c \
	fsys_fat.c fsys_ffs.c fsys_minix.c smp-imps.c stage2.c

stage2_exec_CFLAGS = $(STAGE2_COMPILE) $(FSYS_CFLAGS)
stage2_exec_LDFLAGS = $(STAGE2_LINK)

#stage2_exec_LDADD = #../netboot/libdrivers.a

# For e2fs_stage1_5 target.
e2fs_stage1_5_exec_SOURCES = asm.S common.c char_io.c disk_io.c \
	stage1_5.c fsys_ext2fs.c bios.c

e2fs_stage1_5_exec_CFLAGS = $(STAGE1_5_COMPILE) -DFSYS_EXT2FS=1 \
	-DNO_BLOCK_FILES=1

e2fs_stage1_5_exec_LDFLAGS = $(STAGE1_5_LINK)

# For fat_stage1_5 target.
fat_stage1_5_exec_SOURCES = asm.S common.c char_io.c disk_io.c \
	stage1_5.c fsys_fat.c bios.c

fat_stage1_5_exec_CFLAGS = $(STAGE1_5_COMPILE) -DFSYS_FAT=1
fat_stage1_5_exec_LDFLAGS = $(STAGE1_5_LINK)

# For ffs_stage1_5 target.
ffs_stage1_5_exec_SOURCES = asm.S common.c char_io.c disk_io.c \
	stage1_5.c fsys_ffs.c bios.c


ffs_stage1_5_exec_CFLAGS = $(STAGE1_5_COMPILE) -DFSYS_FFS=1 \
	-DNO_BLOCK_FILES=1

ffs_stage1_5_exec_LDFLAGS = $(STAGE1_5_LINK)

# For minix_stage1_5 target.
minix_stage1_5_exec_SOURCES = asm.S common.c char_io.c disk_io.c \
	stage1_5.c fsys_minix.c bios.c

minix_stage1_5_exec_CFLAGS = $(STAGE1_5_COMPILE) -DFSYS_MINIX=1 \
	-DNO_BLOCK_FILES=1

minix_stage1_5_exec_LDFLAGS = $(STAGE1_5_LINK)
subdir = stage2
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS =  -Wall -Wmissing-prototypes -Wunused
LDFLAGS = 
LIBS = 
libgrub_a_AR = $(AR) cru
libgrub_a_LIBADD = 
am_libgrub_a_OBJECTS =  libgrub_a-boot.o libgrub_a-builtins.o \
libgrub_a-common.o libgrub_a-char_io.o libgrub_a-cmdline.o \
libgrub_a-disk_io.o libgrub_a-gunzip.o libgrub_a-fsys_ffs.o \
libgrub_a-fsys_ext2fs.o libgrub_a-fsys_fat.o libgrub_a-fsys_minix.o \
libgrub_a-stage2.o
libgrub_a_OBJECTS =  $(am_libgrub_a_OBJECTS)
AR = ar
PROGRAMS =  $(noinst_PROGRAMS)

am_e2fs_stage1_5_exec_OBJECTS =  e2fs_stage1_5_exec-asm.o \
e2fs_stage1_5_exec-common.o e2fs_stage1_5_exec-char_io.o \
e2fs_stage1_5_exec-disk_io.o e2fs_stage1_5_exec-stage1_5.o \
e2fs_stage1_5_exec-fsys_ext2fs.o e2fs_stage1_5_exec-bios.o
e2fs_stage1_5_exec_OBJECTS =  $(am_e2fs_stage1_5_exec_OBJECTS)
e2fs_stage1_5_exec_LDADD = $(LDADD)
e2fs_stage1_5_exec_DEPENDENCIES = 
am_fat_stage1_5_exec_OBJECTS =  fat_stage1_5_exec-asm.o \
fat_stage1_5_exec-common.o fat_stage1_5_exec-char_io.o \
fat_stage1_5_exec-disk_io.o fat_stage1_5_exec-stage1_5.o \
fat_stage1_5_exec-fsys_fat.o fat_stage1_5_exec-bios.o
fat_stage1_5_exec_OBJECTS =  $(am_fat_stage1_5_exec_OBJECTS)
fat_stage1_5_exec_LDADD = $(LDADD)
fat_stage1_5_exec_DEPENDENCIES = 
am_ffs_stage1_5_exec_OBJECTS =  ffs_stage1_5_exec-asm.o \
ffs_stage1_5_exec-common.o ffs_stage1_5_exec-char_io.o \
ffs_stage1_5_exec-disk_io.o ffs_stage1_5_exec-stage1_5.o \
ffs_stage1_5_exec-fsys_ffs.o ffs_stage1_5_exec-bios.o
ffs_stage1_5_exec_OBJECTS =  $(am_ffs_stage1_5_exec_OBJECTS)
ffs_stage1_5_exec_LDADD = $(LDADD)
ffs_stage1_5_exec_DEPENDENCIES = 
am_minix_stage1_5_exec_OBJECTS =  minix_stage1_5_exec-asm.o \
minix_stage1_5_exec-common.o minix_stage1_5_exec-char_io.o \
minix_stage1_5_exec-disk_io.o minix_stage1_5_exec-stage1_5.o \
minix_stage1_5_exec-fsys_minix.o minix_stage1_5_exec-bios.o
minix_stage1_5_exec_OBJECTS =  $(am_minix_stage1_5_exec_OBJECTS)
minix_stage1_5_exec_LDADD = $(LDADD)
minix_stage1_5_exec_DEPENDENCIES = 
am_stage2_exec_OBJECTS =  stage2_exec-asm.o stage2_exec-bios.o \
stage2_exec-boot.o stage2_exec-builtins.o stage2_exec-common.o \
stage2_exec-char_io.o stage2_exec-cmdline.o stage2_exec-disk_io.o \
stage2_exec-gunzip.o stage2_exec-fsys_ext2fs.o stage2_exec-fsys_fat.o \
stage2_exec-fsys_ffs.o stage2_exec-fsys_minix.o stage2_exec-smp-imps.o \
stage2_exec-stage2.o
stage2_exec_OBJECTS =  $(am_stage2_exec_OBJECTS)
#stage2_exec_DEPENDENCIES =  \
#../netboot/libdrivers.a
SCRIPTS =  $(noinst_SCRIPTS)

COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CFLAGS = -g
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES =  $(libgrub_a_SOURCES) $(e2fs_stage1_5_exec_SOURCES) \
$(fat_stage1_5_exec_SOURCES) $(ffs_stage1_5_exec_SOURCES) \
$(minix_stage1_5_exec_SOURCES) $(stage2_exec_SOURCES)
DATA =  $(nodist_pkgdata_DATA)

HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  $(noinst_HEADERS) Makefile.am Makefile.in compile


DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

GZIP_ENV = --best
DEP_FILES =  .deps/asm.P .deps/bios.P .deps/boot.P .deps/builtins.P \
.deps/char_io.P .deps/cmdline.P .deps/common.P .deps/disk_io.P \
.deps/fsys_ext2fs.P .deps/fsys_fat.P .deps/fsys_ffs.P \
.deps/fsys_minix.P .deps/gunzip.P .deps/smp-imps.P .deps/stage1_5.P \
.deps/stage2.P
SOURCES = $(libgrub_a_SOURCES) $(e2fs_stage1_5_exec_SOURCES) $(fat_stage1_5_exec_SOURCES) $(ffs_stage1_5_exec_SOURCES) $(minix_stage1_5_exec_SOURCES) $(stage2_exec_SOURCES)
OBJECTS = $(am_libgrub_a_OBJECTS) $(am_e2fs_stage1_5_exec_OBJECTS) $(am_fat_stage1_5_exec_OBJECTS) $(am_ffs_stage1_5_exec_OBJECTS) $(am_minix_stage1_5_exec_OBJECTS) $(am_stage2_exec_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .o
$(srcdir)/Makefile.in: # Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu stage2/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:
libgrub_a-boot.o: boot.c
libgrub_a-builtins.o: builtins.c
libgrub_a-common.o: common.c
libgrub_a-char_io.o: char_io.c
libgrub_a-cmdline.o: cmdline.c
libgrub_a-disk_io.o: disk_io.c
libgrub_a-gunzip.o: gunzip.c
libgrub_a-fsys_ffs.o: fsys_ffs.c
libgrub_a-fsys_ext2fs.o: fsys_ext2fs.c
libgrub_a-fsys_fat.o: fsys_fat.c
libgrub_a-fsys_minix.o: fsys_minix.c
libgrub_a-stage2.o: stage2.c

libgrub.a: $(libgrub_a_OBJECTS) $(libgrub_a_DEPENDENCIES)
	-rm -f libgrub.a
	$(libgrub_a_AR) libgrub.a $(libgrub_a_OBJECTS) $(libgrub_a_LIBADD)
	$(RANLIB) libgrub.a

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:
e2fs_stage1_5_exec-asm.o: asm.S
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(e2fs_stage1_5_exec_CFLAGS) $(CFLAGS) -c -o e2fs_stage1_5_exec-asm.o $<
e2fs_stage1_5_exec-common.o: common.c
e2fs_stage1_5_exec-char_io.o: char_io.c
e2fs_stage1_5_exec-disk_io.o: disk_io.c
e2fs_stage1_5_exec-stage1_5.o: stage1_5.c
e2fs_stage1_5_exec-fsys_ext2fs.o: fsys_ext2fs.c
e2fs_stage1_5_exec-bios.o: bios.c

e2fs_stage1_5.exec: $(e2fs_stage1_5_exec_OBJECTS) $(e2fs_stage1_5_exec_DEPENDENCIES)
	@rm -f e2fs_stage1_5.exec
	$(LINK) $(e2fs_stage1_5_exec_LDFLAGS) $(e2fs_stage1_5_exec_OBJECTS) $(e2fs_stage1_5_exec_LDADD) $(LIBS)
fat_stage1_5_exec-asm.o: asm.S
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(fat_stage1_5_exec_CFLAGS) $(CFLAGS) -c -o fat_stage1_5_exec-asm.o $<
fat_stage1_5_exec-common.o: common.c
fat_stage1_5_exec-char_io.o: char_io.c
fat_stage1_5_exec-disk_io.o: disk_io.c
fat_stage1_5_exec-stage1_5.o: stage1_5.c
fat_stage1_5_exec-fsys_fat.o: fsys_fat.c
fat_stage1_5_exec-bios.o: bios.c

fat_stage1_5.exec: $(fat_stage1_5_exec_OBJECTS) $(fat_stage1_5_exec_DEPENDENCIES)
	@rm -f fat_stage1_5.exec
	$(LINK) $(fat_stage1_5_exec_LDFLAGS) $(fat_stage1_5_exec_OBJECTS) $(fat_stage1_5_exec_LDADD) $(LIBS)
ffs_stage1_5_exec-asm.o: asm.S
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(ffs_stage1_5_exec_CFLAGS) $(CFLAGS) -c -o ffs_stage1_5_exec-asm.o $<
ffs_stage1_5_exec-common.o: common.c
ffs_stage1_5_exec-char_io.o: char_io.c
ffs_stage1_5_exec-disk_io.o: disk_io.c
ffs_stage1_5_exec-stage1_5.o: stage1_5.c
ffs_stage1_5_exec-fsys_ffs.o: fsys_ffs.c
ffs_stage1_5_exec-bios.o: bios.c

ffs_stage1_5.exec: $(ffs_stage1_5_exec_OBJECTS) $(ffs_stage1_5_exec_DEPENDENCIES)
	@rm -f ffs_stage1_5.exec
	$(LINK) $(ffs_stage1_5_exec_LDFLAGS) $(ffs_stage1_5_exec_OBJECTS) $(ffs_stage1_5_exec_LDADD) $(LIBS)
minix_stage1_5_exec-asm.o: asm.S
	$(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(minix_stage1_5_exec_CFLAGS) $(CFLAGS) -c -o minix_stage1_5_exec-asm.o $<
