=== debian/changelog ===
grub (0.5.93.1) unstable; urgency=low

  * Update to Standards-Version: 3.0.1, mainly for FHS support.
  * Fix definition of ext2_dir_entry. (closes:bug#49017)
  * Fix rules for cross-compiling. (closes:bug#49034)
  * Update synopsis for grub(8). (closes:bug#48991)
  * Don't clear the line when hitting enter in the GRUB shell.
    (closes:bug#48989)

 -- Gordon Matzigkeit <gord@debian.org>  Fri,  5 Nov 1999 22:31:30 -0600

grub (0.5.93) unstable; urgency=low

  * Updated example configurations. (closes:bug#42136)
  * Highlight color set correctly when editing. (closes:bug#42549)
  * dpkg-shlibdeps called on /usr/sbin/grub. (closes:bug#42704)
  * Properly install Texinfo documentation. (closes:bug#42705,bug#42919)
    (closes:bug#43080,bug#45150)
  * Update file locations in README.debian. (closes:bug#42834)
  * Upstream fixes for new binutils assembler syntax. (closes:bug#47946)
  * FAT32 support. (closes:bug#47970)
  * Password option fixed. (closes:bug#43798)
  * Sample menu.lst included in doc directory. (closes:bug#47181)

 -- Gordon Matzigkeit <gord@debian.org>  Sat, 30 Oct 1999 09:59:09 -0600

grub (0.5.92) unstable; urgency=low

  * Data files are now in /usr/lib/grub/$(HWARCH).
  * Unix boot utility available as /usr/sbin/grub.
  * Full Texinfo documentation.

 -- GRUB Maintainers <bug-grub@gnu.org>  Mon, 26 Jul 1999 12:46:37 -0600

grub (0.5.91) unstable; urgency=low

  * Added support for LBA mode and preliminary AWARD/AMI hard disk BIOS
    extensions.
  * GRUB data now installed in /share/grub/$(host_cpu)-$(host_vendor).
  * Preliminary Texinfo documentation.

 -- Gordon Matzigkeit <gord@debian.org>  Sun, 14 Mar 1999 20:23:04 -0600

grub (0.5.90) unstable; urgency=low

  * Beta-testing release.
  * GRUB is now officially part of the GNU Project, and the Debian package
    is maintained by its upstream maintainers.
  * LS-120 IDE floppy support should work now (fixes: #33720).

 -- Gordon Matzigkeit <gord@debian.org>  Mon,  1 Mar 1999 12:59:06 -0600

grub (0.5-3) unstable; urgency=low

  * GRUB now understands symbolic links (fixes: #17306).

 -- Gordon Matzigkeit <gord@debian.org>  Sun, 21 Feb 1999 05:13:25 -0600

grub (0.5-2) unstable; urgency=low

  * Assembly source cleanups.

 -- Gordon Matzigkeit <gord@debian.org>  Sun, 14 Feb 1999 20:33:39 -0600

grub (0.5-1) unstable; urgency=low

  * Put everything in /lib/grub (not /boot/grub) and don't install during
    postinst so that we can't accidentally wreck a working system.  This
    means the package needn't be experimental anymore.
  * Get rid of grubinst because it doesn't work with 0.5, and I'd rather
    improve GRUB's builtin installation process.
  * Use `e' rather than enter to edit.
  * Minor bug fixes.

 -- Gordon Matzigkeit <gord@debian.org>  Sun, 31 Jan 1998 14:11:32 -0600

grub (0.4-2) experimental; urgency=low

  * Make postinstall script
  * Create manpage for grubinst
  * Make grubinst more flexible
  * Address bugs 15227 and 15163 (packaging and clue endowment)

 -- Steve Dunham <dunham@debian.org>  Thu,  1 Jan 1998 00:38:22 -0500

grub (0.4-1) unstable; urgency=low

  * Initial Release.

 -- Steve Dunham <dunham@debian.org>  Wed, 19 Nov 1997 23:42:47 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "gord@debian.org"
End:
