=== debian/control ===
Source: grub
Section: base
Priority: extra
Maintainer: GNU GRUB Maintainers <bug-grub@gnu.org>
Standards-Version: 3.0.1

Package: grub
Architecture: i386 hurd-i386
Depends: ${shlibs:Depends}
Description: GRand Unified Bootloader
 GRUB is a GPLed bootloader intended to unify bootloading across x86
 operating systems.  In addition to loading the Linux and *BSD kernels,
 it implements the Multiboot standard, which allows for flexible loading
 of multiple boot images (needed for modular kernels such as the GNU
 Hurd).
