## grub 0.97

=== debian/changelog ===
grub (0.97-84) unstable; urgency=medium

  * Move grub-legacy files from src:grub2 to src:grub.
  * d/control: Add Breaks+Replaces grub-pc (<< 2.12-6).

 -- Felix Zielcke <fzielcke@z-51.de>  Sun, 09 Feb 2025 15:18:33 +0100

grub (0.97-83) unstable; urgency=medium

  * Make grub-legacy a transistional package depending on grub-pc.
  * Switch section to oldlibs.
  * Update Standards-Version to 4.6.2.

 -- Felix Zielcke <fzielcke@z-51.de>  Tue, 05 Nov 2024 09:41:06 +0100

grub (0.97-82) unstable; urgency=medium

  * savedefault.patch: Fix incorrect grub_strcpy calls (closes: #1075047).

 -- Colin Watson <cjwatson@debian.org>  Wed, 03 Jul 2024 14:51:26 +0100

grub (0.97-81) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Use a separate build directory, avoiding problems with the clean target
    (closes: #1044728).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Aug 2023 18:54:02 +0100

grub (0.97-80) unstable; urgency=medium

  * Make convert_to_ascii non-variadic, since GCC 11 seemed to miscompile
    this very dodgy by-hand imitation of va_arg otherwise (closes:
    #1003008).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jan 2022 03:50:34 +0000

grub (0.97-79) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + grub-legacy-doc: Drop versioned constraint on dpkg and install-info in
      Depends.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Colin Watson ]
  * debian/watch: Upgrade to version 4; use HTTPS.
  * Set Rules-Requires-Root: no.
  * Move grub-set-default manual page to section 8.
  * Remove obsolete Lintian overrides.
  * Remove maintainer script code for upgrades from extremely old versions.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 Dec 2021 14:00:43 +0000

grub (0.97-78) unstable; urgency=medium

  * Use mktemp rather than tempfile (closes: #992915).

 -- Colin Watson <cjwatson@debian.org>  Fri, 27 Aug 2021 15:44:10 +0100

grub (0.97-77) unstable; urgency=medium

  * Remove grub-disk, grub-doc, and multiboot-doc packages.  They've all
    been dummy transitional packages since 2010 or earlier.

 -- Colin Watson <cjwatson@debian.org>  Sun, 13 Dec 2020 10:15:26 +0000

grub (0.97-76) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove patches fix_amd64_compile.patch that are missing from
    debian/patches/series.
  * Add missing colon in closes line.
  * Drop unnecessary dependency on dh-autoreconf.
  * Fix day-of-week for changelog entries 0.5-1.

  [ Vagrant Cascadian ]
  * Enable reproducible builds by switching to help2man from Debian (closes:
    #961766).

  [ Colin Watson ]
  * Stop texi2html embedding the building user's name in generated
    documentation.

 -- Colin Watson <cjwatson@debian.org>  Fri, 29 May 2020 16:12:18 +0100

grub (0.97-75) unstable; urgency=medium

  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Remove obsolete DM-Upload-Allowed field.

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 Nov 2018 17:50:10 +0000

grub (0.97-74) unstable; urgency=medium

  * Fix segfault when compiled with GCC 7 (thanks, Bernhard Übelacker;
    closes: #898553).
  * Add ext4 support (thanks, Quentin Godfroy and Colin Ian King; closes:
    #511121).
  * Mark all binary packages as Multi-Arch: foreign.
  * Build without ncurses support on amd64, since the multilib packages are
    likely to go away (closes: #848166).

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Oct 2018 15:27:17 +0100

grub (0.97-73) unstable; urgency=medium

  * Move transitional packages to Section: oldlibs.
  * Fix more typos in README.Debian.
  * Change Maintainer to pkg-grub-devel@alioth-lists.debian.net, following
    Alioth lists migration.
  * Switch to git; move VCS to salsa.debian.org.

 -- Colin Watson <cjwatson@debian.org>  Sat, 05 May 2018 14:29:02 +0100

grub (0.97-72) unstable; urgency=medium

  * Fix typo in README.Debian.
  * Disable PIE for stage1 and stage2.
  * Fix objcopy build-id handling (closes: #837492).

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Oct 2016 14:07:58 +0100

grub (0.97-71) unstable; urgency=medium

  * Restrict grub-disk to "Architecture: i386 hurd-i386 amd64" (the same set
    as grub-legacy) rather than "Architecture: all", since its dependency on
    grub-rescue-pc is unsatisfiable on most other architectures.
  * Move remaining upstream changes outside debian/ (a snapshot up to
    2009-07-02) into debian/patches/snapshot.patch.
  * Convert to source format 3.0 (quilt).
  * Drop build compatibility with ancient (at least pre-lenny) dpkg
    versions.
  * Convert to dh(1).

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Dec 2015 17:17:43 +0000

grub (0.97-70) unstable; urgency=medium

  * Stop linking statically on amd64, which was a holdover from a long time
    ago when we couldn't just depend on biarch libraries (closes: #769349).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Nov 2014 17:57:54 +0000

grub (0.97-69) unstable; urgency=medium

  * Revert the parts of the CVS sync in 0.97-8 that introduced the GNU FDL,
    restoring the version of the documentation from the 0.97 release that
    was under a simple permissive licence; this undoes a few minor textual
    fixes, but avoids problems with Front-Cover and Back-Cover Texts without
    having to create a separate grub-legacy-doc package in non-free (closes:
    #708946).
  * Build with -fno-combine-stack-adjustments, since that optimisation pass
    confuses the stack games played by GRUB itself (closes: #768135).

 -- Colin Watson <cjwatson@debian.org>  Fri, 07 Nov 2014 12:19:38 +0000

grub (0.97-68) unstable; urgency=low

  * Update Vcs-* fields for Bazaar (closes: #628651).
  * Use 'set -e' rather than '#!/bin/bash -e' in various scripts.

