=== debian/control ===
Source: grub
Section: oldlibs
Priority: optional
Maintainer: GRUB Maintainers <pkg-grub-devel@alioth-lists.debian.net>
Uploaders: Robert Millan <rmh.debian@aybabtu.com>,
           Felix Zielcke <fzielcke@z-51.de>,
           Colin Watson <cjwatson@debian.org>,
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/grub-team/grub-legacy.git
Vcs-Browser: https://salsa.debian.org/grub-team/grub-legacy
Rules-Requires-Root: no

Package: grub-legacy
Architecture: amd64 hurd-i386 i386
Depends: grub-pc (>= 2.12-4),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: grub-pc (<< 2.12-6)
Replaces: grub-pc (<< 2.12-6)
Multi-Arch: foreign
Description: GRand Unified Bootloader - Transistional package
 This is a transitional package, it can be safely removed.
