=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@ 

override_dh_auto_configure:

override_dh_auto_build:

execute_after_dh_install:
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
ifneq (,$(filter grub-pc,$(BUILD_PACKAGES)))
        patch debian/grub-legacy/usr/lib/grub-legacy/update-grub \
                < debian/legacy/update-grub.ubuntu.patch
endif
endif

execute_after_dh_clean:
	chmod +x debian/upgrade-from-grub-legacy
	chmod +x debian/update-grub
