=== debian/watch ===
version=4
https://alpha.gnu.org/gnu/grub/grub-(0.[0-9.]+).tar.gz debian uupdate
